%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate nettle-sys

Name:           rust-nettle-sys
Version:        2.3.0
Release:    1%{?dist}
Summary:        Low-level Rust bindings for the Nettle cryptographic library

License:        LGPL-3.0 OR GPL-2.0 OR GPL-3.0
URL:            https://crates.io/crates/nettle-sys
Source0:         %{crates_source}
Patch:          nettle-sys-fix-metadata-auto.diff
Patch:          0001-build-drop-unavailable-ECC-functions.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Low-level Rust bindings for the Nettle cryptographic library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(nettle)

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-GPL2
%license %{crate_instdir}/LICENSE-GPL3
%license %{crate_instdir}/LICENSE-LGPL3
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'pkgconfig(nettle)'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-1
- initial build
